<?php
if (!defined('ABSPATH')) exit;

$stats = \ImageAltAi\Core\Database::getInstance()->getStats();
?>

<div class="imagealt-ai-action-wrap imagealt-ai-dashboard bg-background rounded-lg border border-solid border-[rgb(228,228,231)] ">
    <div class=" p-8 space-y-4">
        <div class="flex flex-row justify-between">
            <div>
                <h1 class="text-2xl mt-0 mb-0 font-bold tracking-tight "><?php esc_html_e('ImageAlt Generator AI Dashboard', 'imagealt-ai'); ?></h1>
                <p class="max-w-2xl text-base pb-6 font-light text-gray-500">
                    <?php esc_html_e('Welcome to ImageAlt Generator AI. This dashboard provides an overview of your image alt text status and tools to generate alt text for images without existing alt text.', 'imagealt-ai'); ?>
                </p>
            </div>
            <div class="plugin-logo">
                <?php
                    printf(
                        '<img src="%s" alt="%s" class="%s" style="%s" loading="lazy">', // phpcs:ignore PluginCheck.CodeAnalysis.ImageFunctions.NonEnqueuedImage
                        esc_url(IMAGEALT_AI_PLUGIN_URL . 'assets/images/logo.png'),
                        esc_attr__('ImageAlt AI Logo', 'imagealt-ai'),
                        esc_attr('w-24 h-auto'),
                        esc_attr('max-width: 150px; height: auto;')
                    );
                ?>
            </div>
        </div>

        <div class="grid gap-8 md:grid-cols-2 lg:grid-cols-3">
            <div class="rounded-xl border bg-card text-card-foreground shadow">
                <div class="p-8 flex flex-row items-center justify-between space-y-0">
                    <div>
                        <div class="tracking-tight text-sm font-medium"><?php esc_html_e('Successfully Processed', 'imagealt-ai'); ?></div>
                        <div class="text-2xl font-bold mt-2"><?php echo esc_html($stats['processed_images']); ?></div>
                    </div>

                    <svg xmlns="http://www.w3.org/2000/svg" class="h-12 w-12 text-muted-foreground" id="Layer_1" data-name="Layer 1" viewBox="0 0 512 512"><defs><style>.cls-1{fill:#141f38;}</style></defs><title>document-check-outline</title><path class="cls-1" d="M115.2,256A12.8,12.8,0,0,1,128,243.2h76.8a12.8,12.8,0,0,1,0,25.6H128A12.8,12.8,0,0,1,115.2,256Zm166.4,38.4H128a12.8,12.8,0,0,0,0,25.6H281.6a12.8,12.8,0,0,0,0-25.6Zm-.38,51.2H128a12.8,12.8,0,0,0,0,25.6H281.22a12.8,12.8,0,0,0,0-25.6Zm218,76.8a89.52,89.52,0,0,1-117.47,85.13A63.4,63.4,0,0,1,358.4,512H76.8a64,64,0,0,1-64-64V64a64,64,0,0,1,64-64H268.94L422.4,153.6V333.82A89.54,89.54,0,0,1,499.2,422.4ZM281.6,49.08V102.4A38.44,38.44,0,0,0,320,140.8h53.09ZM347,486.4A89.48,89.48,0,0,1,396.8,333.82V166.4H320a64,64,0,0,1-64-64V25.6H76.8A38.44,38.44,0,0,0,38.4,64V448a38.44,38.44,0,0,0,38.4,38.4Zm126.65-64a64,64,0,1,0-64,64A64.07,64.07,0,0,0,473.6,422.4Zm-31.81-36.57a12.79,12.79,0,0,0-17.56,4.39l-23,38.39-9-7.5a12.8,12.8,0,0,0-16.39,19.66l20.48,17.07a12.8,12.8,0,0,0,8.19,3,12.36,12.36,0,0,0,2.14-.18,12.79,12.79,0,0,0,8.84-6l30.72-51.2A12.8,12.8,0,0,0,441.79,385.83Z"/></svg>
                </div>
            </div>

            <div class="rounded-xl border bg-card text-card-foreground shadow">
                <div class="p-8 flex flex-row items-center justify-between space-y-0">
                    <div>
                        <div class="tracking-tight text-sm font-medium"><?php esc_html_e('Total Images', 'imagealt-ai'); ?></div>
                        <div class="text-2xl font-bold mt-2"><?php echo esc_html($stats['total_images']); ?></div>
                    </div>
                    <svg xmlns="http://www.w3.org/2000/svg" class="h-14 w-14 text-muted-foreground" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" x="0px" y="0px" viewBox="0 0 256 256" enable-background="new 0 0 256 256" xml:space="preserve">
                        <g><g><path fill="#000000" d="M241.5,224.5c-3,3-6.6,4.5-10.8,4.5H77.5c-4.2,0-7.8-1.5-10.8-4.5c-3-3-4.5-6.6-4.5-10.8V96.9c0-4.2,1.5-7.8,4.5-10.8c3-3,6.6-4.5,10.8-4.5h153.2c4.2,0,7.8,1.5,10.8,4.5c3,3,4.5,6.6,4.5,10.8v116.7C246,217.8,244.5,221.4,241.5,224.5z M233.7,96.9c0-0.8-0.3-1.6-0.9-2.2c-0.6-0.6-1.3-0.9-2.2-0.9H77.5c-0.8,0-1.5,0.3-2.1,0.9c-0.6,0.6-0.9,1.3-0.9,2.2v116.7c0,0.8,0.3,1.5,0.9,2.1c0.6,0.6,1.3,0.9,2.1,0.9h153.2c0.8,0,1.5-0.3,2.2-0.9c0.6-0.6,0.9-1.3,0.9-2.1V96.9z M86.7,186l30.6-30.7l15.3,15.4l49-49.2l39.8,39.9v43H86.7V186z M105.1,142.9c-5.1,0-9.4-1.8-13-5.4c-3.6-3.6-5.4-7.9-5.4-13.1c0-5.1,1.8-9.5,5.4-13.1c3.6-3.6,7.9-5.4,13-5.4c5.1,0,9.4,1.8,13,5.4c3.6,3.6,5.4,7.9,5.4,13.1c0,5.1-1.8,9.5-5.4,13.1C114.5,141.2,110.2,142.9,105.1,142.9z M206.5,69.6c0-0.8-0.3-1.5-0.9-2.2c-0.6-0.6-1.3-0.9-2.1-0.9H50.3c-0.8,0-1.5,0.3-2.1,0.9c-0.6,0.6-0.9,1.3-0.9,2.2v116.7c0,0.8,0.3,1.5,0.9,2.1c0.6,0.6,1.3,0.9,2.1,0.9h2.8v5.5c0,2.4,0.5,4.7,1.3,6.8h-4.2c-4.2,0-7.8-1.5-10.8-4.5c-3-3-4.5-6.6-4.5-10.9V69.6c0-4.2,1.5-7.8,4.5-10.8c3-3,6.6-4.5,10.8-4.5h153.2c4.2,0,7.8,1.5,10.8,4.5c3,3,4.5,6.6,4.5,10.8v2.8h-12.3V69.6L206.5,69.6z M181.6,42.4c0-0.8-0.3-1.6-0.9-2.2s-1.3-0.9-2.2-0.9H25.3c-0.8,0-1.5,0.3-2.1,0.9c-0.6,0.6-0.9,1.3-0.9,2.2v116.7c0,0.8,0.3,1.5,0.9,2.1c0.6,0.6,1.3,0.9,2.1,0.9h2.8v5.5c0,2.4,0.5,4.7,1.3,6.8h-4.2c-4.2,0-7.8-1.5-10.8-4.5c-3-3-4.5-6.6-4.5-10.8V42.4c0-4.2,1.5-7.8,4.5-10.8c3-3,6.6-4.5,10.8-4.5h153.2c4.2,0,7.8,1.5,10.8,4.5c3,3,4.5,6.6,4.5,10.8v2.8h-12.3V42.4L181.6,42.4z"/></g></g>
                    </svg>
                </div>
            </div>

            <div class="rounded-xl border bg-card text-card-foreground shadow">
                <div class="p-8 flex flex-row items-center justify-between space-y-0">
                    <div>
                        <div class="tracking-tight text-sm font-medium"><?php esc_html_e('Images Without Alt Text', 'imagealt-ai'); ?></div>
                        <div class="text-2xl font-bold mt-2<?php echo $stats['images_without_alt'] > 0 ? ' text-red-700' : ''; ?>"><?php echo esc_html($stats['images_without_alt']); ?></div>
                    </div>
                    
                    <svg xmlns="http://www.w3.org/2000/svg" class="h-14 w-14 text-muted-foreground" fill="none" height="20" viewBox="0 0 20 20" width="20"><g fill="<?php echo $stats['images_without_alt'] > 0 ? 'red' : '#000000'; ?>"><path d="m3 1c-1.10458 0-2 .89539-2 2v4c0 1.10461.89542 2 2 2h5c1.10458 0 2-.89539 2-2v-4c0-1.10461-.89542-2-2-2zm.5 5h4c.27615 0 .5.22388.5.5s-.22385.5-.5.5h-4c-.27615 0-.5-.22388-.5-.5s.22385-.5.5-.5zm-.5-2.5c0-.27612.22385-.5.5-.5h4c.27615 0 .5.22388.5.5s-.22385.5-.5.5h-4c-.27615 0-.5-.22388-.5-.5z"/><path d="m3 14v-4h1v4c0 .3727.1019.7214.27939 1.0201l4.66928-4.5881c.58359-.57336 1.51903-.57336 2.10263 0l4.6693 4.5881c.1775-.2987.2794-.6474.2794-1.0201v-8c0-1.10461-.8954-2-2-2h-3v-1h3c1.6569 0 3 1.34314 3 3v8c0 1.6569-1.3431 3-3 3h-8c-1.65686 0-3-1.3431-3-3zm3 2h8c.3691 0 .7149-.1 1.0117-.2744l-4.6613-4.5803c-.1945-.1911-.50631-.1911-.70083 0l-4.66132 4.5803c.29681.1744.64261.2744 1.01175.2744z"/><path d="m12.5 9c-.8284 0-1.5-.67163-1.5-1.5s.6716-1.5 1.5-1.5 1.5.67163 1.5 1.5-.6716 1.5-1.5 1.5zm.5-1.5c0-.27612-.2238-.5-.5-.5s-.5.22388-.5.5.2238.5.5.5.5-.22388.5-.5z"/></g></svg>
                </div>
            </div>
        </div>

        <div class="rounded-xl border bg-card text-card-foreground shadow col-span-4">
            <div class="flex flex-col  p-6 gap-2">
                <div>
                    <h2 class="text-xl font-semibold tracking-tight"><?php esc_html_e('Generate Alt Text With AI', 'imagealt-ai'); ?></h2>
                    <p class="text-sm text-muted-foreground"><?php esc_html_e('Click the button below to start generating alt text for all images without existing alt text.', 'imagealt-ai'); ?></p>
                </div>
                <div>
                    <button
                        id="start-generation-btn"
                        class="show-modal inline-flex items-center justify-center whitespace-nowrap rounded-md text-sm font-medium transition-colors focus-visible:outline-none focus-visible:ring-1 focus-visible:ring-ring disabled:pointer-events-none disabled:opacity-50 bg-primary text-primary-foreground shadow hover:bg-primary/90 h-9 px-4 py-2 cursor-pointer"
                        style="text-decoration: none; background: rgb(79, 70, 229); color: white;"
                    >
                        <?php esc_html_e('Start Generate', 'imagealt-ai'); ?>
                    </button>
                </div>
            </div>

        </div>

        <div class="rounded-xl border bg-card text-card-foreground shadow col-span-4">
            <div class="flex flex-col space-y-1.5 p-6 gap-6">
                <div>
                    <h2 class="text-xl font-semibold tracking-tight"><?php esc_html_e('Quick Tips', 'imagealt-ai'); ?></h2>
                    <ul>
                        <li><?php 
                            $allowed_html = array(
                                'a' => array(
                                    'href' => array(),
                                    'class' => array(),
                                    'target' => array(),
                                ),
                            );
                            printf(
                                /* translators: %s: URL to the settings page */
                                wp_kses(__('Configure your API keys in the <a href="%s">Settings page</a>.', 'imagealt-ai'), $allowed_html),
                                esc_url(admin_url('admin.php?page=imagealt-ai&tab=settings'))
                            ); 
                        ?></li>
                        <li><?php 
                            printf(
                                /* translators: %s: URL to the bulk generator page */
                                wp_kses(__('Use the <a href="%s">Bulk Generator</a> to process multiple images at once.', 'imagealt-ai'), $allowed_html),
                                esc_url(admin_url('admin.php?page=imagealt-ai&tab=generator'))
                            ); 
                        ?></li>
                        <li><?php 
                            printf(
                                /* translators: %s: URL to the settings page */
                                wp_kses(__('Enable auto-generation from <a href="%s">Settings</a> to process new uploads automatically.', 'imagealt-ai'), $allowed_html),
                                esc_url(admin_url('admin.php?page=imagealt-ai&tab=settings'))
                            ); 
                        ?></li>
                        <li><?php echo wp_kses(__('Visit our <a href="https://converswp.com/" target="_blank">website</a> for more information.', 'imagealt-ai'), $allowed_html); ?></li>
                    </ul>
                </div>
            </div>

        </div>
    </div>
</div>

<div class="imagealt-ai-action-wrap">
    <?php include IMAGEALT_AI_PLUGIN_DIR . 'templates/dashboard-modal.php'; ?>
</div>
